# InputMediaPhoto - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.InputMedia / InputMediaPhoto

# InputMediaPhoto

(common) `data class InputMediaPhoto : InputMedia, MediaGroupMemberInputMedia` (source)

### Constructors

(common)

#### <init>

`InputMediaPhoto(file: InputFile, caption: String? = null, parseMode: ParseMode? = null)`

### Properties

(common)

#### arguments

`val arguments: Map<String, Any?>`

(common)

#### caption

`val caption: String?`

(common)

#### file

`val file: InputFile`

(common)

#### media

`val media: String`

(common)

#### parseMode

`val parseMode: ParseMode?`

(common)

#### type

`val type: String`

### Functions

(common)

#### serialize

`fun serialize(format: StringFormat): String`